import React from 'react';
import { prefixClasses } from '../../utils'

/**
 * Icon component
 *
 * @param {object} props
 * @param {string} props.type Type of icon, eg. mail,heart,star,etc.
 */
export function Icon(props) {
	return (
		<span className={`icon ${prefixClasses('icon', props.type)}`} />
	);
}

export default Icon;
